rotate {onion} | R Documentation

## Rotates 3D vectors using quaternions

### Description

Rotates a three-column matrix whose rows are vectors in 3D space, using quaternions

### Usage

    rotate(x, H)

### Arguments

`x` | A matrix of three columns whose rows are points in 3D space
`H` | A quaternion. Does not need to have unit modulus

### Value

Returns a matrix of the same size as `x`

### Author(s)

Robin K. S. Hankin

### Examples

    data(bunny)
    par(mfrow=c(2,2))
    par(mai=rep(0,4))
    p3d(rotate(bunny,Hi),box=FALSE)
    p3d(rotate(bunny,H1-Hi+Hj),box=FALSE)
    p3d(rotate(bunny,Hk),box=FALSE)
    p3d(rotate(bunny,Hall),box=FALSE)

[Package onion version 1.2-7 Index]